# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=7

inherit git-r3 autotools

DESCRIPTION="A simple DSP library and command-line tool for Software Defined Radio."
HOMEPAGE="https://github.com/jketterl/csdr"

EGIT_REPO_URI="https://github.com/jketterl/csdr.git"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="
fftw? ( sci-libs/fftw:3.0 )
"
RDEPEND="${DEPEND}"

IUSE="+fftw"

#src_install() {
#	dolib.so libcsdr.so.*
#	dobin csdr
#	dobin csdr-fm
#	dobin nmux
#}

src_prepare() {
	eautoreconf
	default
}

src_configure() {
	econf \
		$(use_with fftw fftw3 yes)
}

