# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=8

inherit git-r3

DESCRIPTION="dxlAPRS is Free Software toolchain to operate APRS(r)."
HOMEPAGE="https://github.com/oe5hpm/dxlAPRS"

EGIT_REPO_URI="https://github.com/oe5hpm/dxlAPRS.git"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
"
RDEPEND="${DEPEND}"

IUSE=""

PATCHES=(
	"${FILESDIR}/0002-dynamic-linking.patch"
)


src_compile() {
	cd src
	emake
}

src_install() {
	dobin out-x86_64/afskmodem
	dobin out-x86_64/sdrtst
	dobin out-x86_64/udpgate4
	dobin out-x86_64/udpflex
}
