# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake

DESCRIPTION="Digital Ham Radio decoding tools"
HOMEPAGE="https://github.com/jketterl/digiham"
LICENSE="GPL-3"
SLOT="0"
IUSE=""

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="https://github.com/jketterl/digiham.git"
	inherit git-r3

else
	SRC_URI="https://github.com/jketterl/digiham/archive/${PV}.tar.gz"
	S="${WORKDIR}/${P}"
	KEYWORDS="~amd64 ~x86 ~arm"
fi

DEPEND="
	>=media-libs/mbelib-1.3.0-r1
"
RDEPEND="${DEPEND}"

src_configure() {
	#mycmakeargs=(
	#	-DDISABLE_TEST="$(usex test OFF ON)"
	#)
	cmake_src_configure
}
