# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-fs/duperemove/duperemove-9999.ebuild,v 1.7 2014/07/06 12:56:59 mgorny Exp $

EAPI=5

#if LIVE
EGIT_REPO_URI="git://github.com/markfasheh/duperemove.git
	https://github.com/markfasheh/duperemove.git"
inherit git-r3
#endif

DESCRIPTION="Btrfs file de-duplication tool"
HOMEPAGE="https://github.com/markfasheh/duperemove"
SRC_URI="https://github.com/markfasheh/${PN}/archive/v${PV}.tar.gz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

# we need btrfs-progs with includes installed.
DEPEND=">=sys-fs/btrfs-progs-0.20_rc1_p358"
RDEPEND="${DEPEND}"

#if LIVE
SRC_URI=
KEYWORDS=
#endif

src_install() {
	dobin duperemove
}
